Bug 1460130 - Non-admin has all roles but can't create or use host collections
Non-admin has all roles but can't create or use host collections
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Collections (Show other bugs)
6.2.9
All All
medium Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
Nikhil Kathole
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 04:13 EDT by anerurka
Modified: 2017-10-11 11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of UI with non-admin user (45.31 KB, image/png)
2017-10-11 11:55 EDT, Nikhil Kathole
no flags Details
screenshot of UI showing create host collection (31.92 KB, image/png)
2017-10-11 11:56 EDT, Nikhil Kathole
no flags Details

  None (edit)
Description anerurka 2017-06-09 04:13:26 EDT
Description of problem:

User does not see '+ New Host Collection' button or 'Collection Actions' tab in existing host collections.

Version-Release number of selected component (if applicable):

v.6.2.9

How reproducible:


Steps to Reproduce:

1. Create user with all possible permissions but without administrator flag.
2. Login with non-admin user and navigate to Host Collection Tab


Actual results:

Unable to see '+ New Host Collection' button or 'Collection Actions' tab in existing host collections.

Expected results:

Should be able to see '+ New Host Collection' button or 'Collection Actions' tab in existing host collections.
Comment 2 Brad Buckingham 2017-09-22 15:58:25 EDT
With Satellite 6.3, a non-admin user can create host collections and add hosts to them.

The following is an example:

- Permissions on the user include the following:

  - resource: Organization, permission: view_organizations
  - resource: Host Collections, permissions: view_host_collections, create_host_collections, edit_host_collections, destroy_host_collections
  - resource: Host, permissions: view_hosts, edit_hosts

- log in as the user with these permissions

- go to Hosts -> Host Collections
- click 'Create Host Collection'
- provide a 'Name' and Save/Submit
- click 'Hosts'
- click 'Add'
- click checkboxes next to hosts that want to add
- click 'Add Selected'
- success!

Proposing this to 6.3 and moving ON_DEV for verification.
Comment 3 Nikhil Kathole 2017-10-11 11:52:59 EDT
VERIFIED

Version Tested:
Satellite-6.3 Snap 19

steps:

1. Created role with filters mentioned in comment #2
2. Created user with that role
3. Login with new non-admin user

Found able to create/delete host collection and can see actions tab.But can't edit host collection. We are tracking the issue here :

https://bugzilla.redhat.com/show_bug.cgi?id=1497073
Comment 4 Nikhil Kathole 2017-10-11 11:55 EDT
Created attachment 1337292 [details]
screenshot of UI with non-admin user
Comment 5 Nikhil Kathole 2017-10-11 11:56 EDT
Created attachment 1337293 [details]
screenshot of UI showing create host collection

Note You need to log in before you can comment on or make changes to this bug.